콘텐츠로 건너뛰기

Overview

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

This API reference describes endpoints for managing subscriptions, coupons, and promotions. To get more information about Subscriptions, see the product guide and the glossary.

OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/subscriptions/
작업
작업
작업
작업
작업
작업
작업
작업
작업

요청

보안
projectUserJwtAuth
경로
project_idinteger\d+필수
본문application/json필수

Redeem a coupon by its code

codestring

Coupon code

기본값 null
예제: "abcde"
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/projects/{project_id}/redeem_coupon' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "code": "abcde"
  }'

응답

The coupon has been successfully redeemed

본문application/json
응답
application/json
{ "status": "successful" }
작업
작업